From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 7 of 9] USB core update

Hi,

Here's a patch against 2.5.3 for the USB core that fixes a possible
initialization bug for some platforms when allocating a new usb, and
changes the warning level on a message (it isn't an error.)  This patch
was done by Oliver Neukum and David Brownell.

thanks,

greg k-h


diff -Nru a/drivers/usb/usb.c b/drivers/usb/usb.c
--- a/drivers/usb/usb.c	Sun Feb  3 00:53:05 2002
+++ b/drivers/usb/usb.c	Sun Feb  3 00:53:05 2002
@@ -1100,7 +1100,7 @@
 	}
 
 	memset(urb, 0, sizeof(*urb));
-	atomic_inc(&urb->count);
+	urb->count = (atomic_t)ATOMIC_INIT(1);
 	spin_lock_init(&urb->lock);
 
 	return urb;
@@ -2283,7 +2284,7 @@
 	/* 9.4.10 says devices don't need this, if the interface
 	   only has one alternate setting */
 	if (iface->num_altsetting == 1) {
-		warn("ignoring set_interface for dev %d, iface %d, alt %d",
+		dbg("ignoring set_interface for dev %d, iface %d, alt %d",
 			dev->devnum, interface, alternate);
 		return 0;
 	}

